import * as React from "react";
export interface InputWrapProps extends React.HTMLAttributes<HTMLDivElement> {
    id?: string;
    children?: React.ReactNode;
}
/**针对没有 <InputLine 来包裹配合的输入组件， 该情形下的InputDatalist <datalist id={`list${uid}`}>出现问题：
 为了避免InputDatalist 因uid缺失导致 多个datalist出现混淆情况
 */
export declare const InputIdProvider: React.FunctionComponent<InputWrapProps>;
